Subject: Re: bug#62333: 30.0.50; Issue with tree-sitter syntax tree during certain changes

From: Gregory Heytings <[email-masked]>
Date: Thu, 30 Mar 2023 20:14:57 +0000

>>> The parsers _can_ have access to those ranges, if they need it for 
>>> some reason.  In general, everything in Emacs should honor the current 
>>> restriction, unless there's a good reason to ignore it.
>>
>> Okay, so in the above example by default the parsers will only have 
>> access to 1000-1100 for the first one, and 1100-1200 for the second one 
>> until the user removes the restrictions.  Unless they need to widen the 
>> buffer for some (good) reason.
>>
>> If they do widen, will the parsers get access to [400..1100] and 
>> [1100..1500], or to the whole buffer?
>
> The former.
>

Okay, thanks.  Now I think I understand what you want.  I'll think about 
it.